import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

export function searchData() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_加工顺序调整_查询正在加工零件工序_NEW'
    }
  })
}
export function processingStatus(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理_成组配套加工进度_查询数据',
      param: '工艺计划流水号=' + num
    }
  })
}
export function searchData1() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: 'MES_机加工MES_记录零件待加工显示_NEW'
    }
  })
}
